Bug 1126451 - VMs get 2 private IPs during launching of a large amount of VMs
Summary: VMs get 2 private IPs during launching of a large amount of VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: z1
: 5.0 (RHEL 6)
Assignee: John Schwarz
QA Contact: Ofer Blaut
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 13:15 UTC by Toni Freger
Modified: 2016-04-26 21:19 UTC (History)
7 users (show)

Fixed In Version: python-neutronclient-2.3.4-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 17:14:13 UTC


Attachments (Terms of Use)
compute log (2.35 MB, text/x-log)
2014-08-04 13:15 UTC, Toni Freger
no flags Details
neutron server log (119.20 KB, text/x-log)
2014-08-04 13:16 UTC, Toni Freger
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1339 normal SHIPPED_LIVE Low: openstack-neutron security and bug fix update 2014-09-30 21:13:35 UTC
Red Hat Bugzilla 1091358 None None None Never
Launchpad 1160442 None None None Never

Internal Links: 1091358 1133511

Description Toni Freger 2014-08-04 13:15:56 UTC
Created attachment 923872 [details]
compute log

Description of problem:
VMs get 2 private IPs during launching of a large amount of VMs 

Version-Release number of selected component (if applicable):
Havana on RHEL6.5
All-In-One + Compute node

openstack-neutron-2013.2.3-14.el6ost.noarch
openstack-neutron-openvswitch-2013.2.3-14.el6ost.noarch


nova show b0f09916-8db2-41a4-ac4a-76711e0fef78
----------------------------------------| Property                             | Value                                                      |
+--------------------------------------+------------------------------------------------------------+
| status                               | ACTIVE                                                     |
| updated                              | 2014-08-04T11:59:17Z                                       |
| OS-EXT-STS:task_state                | None                                                       |
| OS-EXT-SRV-ATTR:host                 | rose12.qa.lab.tlv.redhat.com                               |
| key_name                             | None                                                       |
| image                                | cirros-0.3.1-x86_64 (39f25239-58f2-4858-8226-1f0aabc3ada5) |
| hostId                               | a548c105e5e9dca2b5bdf135c6ad9d95e3069442699d61e9ab1a9e42   |
| OS-EXT-STS:vm_state                  | active                                                     |
| OS-EXT-SRV-ATTR:instance_name        | instance-0000013c                                          |
| OS-SRV-USG:launched_at               | 2014-08-04T11:59:17.000000                                 |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | rose12.qa.lab.tlv.redhat.com                               |
| flavor                               | nano (10)                                                  |
| id                                   | b0f09916-8db2-41a4-ac4a-76711e0fef78                       |
| security_groups                      | [{u'name': u'default'}, {u'name': u'default'}]             |
| OS-SRV-USG:terminated_at             | None                                                       |
| user_id                              | 8cad094286b74e2991e6c03011884940                           |
| name                                 | stress3-9                                                  |
| created                              | 2014-08-04T11:57:20Z                                       |
| tenant_id                            | d17b9a7095724505819c8e7d3607d9da                           |
| OS-DCF:diskConfig                    | MANUAL                                                     |
| metadata                             | {}                                                         |
| os-extended-volumes:volumes_attached | []                                                         |
| accessIPv4                           |                                                            |
| accessIPv6                           |                                                            |
| progress                             | 0                                                          |
| OS-EXT-STS:power_state               | 1                                                          |
| OS-EXT-AZ:availability_zone          | nova                                                       |
| private3 network                     | 192.168.3.170, 192.168.3.162                               |
| config_drive                         |                              


Steps to Reproduce:
1.Launch 160 VMs
2.
3.

Actual results:
20 VMs out of 160  got 2 IPs for the same NIC

Expected results:


Additional info:

Comment 1 Toni Freger 2014-08-04 13:16:24 UTC
Created attachment 923873 [details]
neutron server log

Comment 3 John Schwarz 2014-08-20 08:55:18 UTC
Please provide the version of python-neutronclient you used in this test.

Comment 4 Toni Freger 2014-08-24 08:05:05 UTC
python-neutronclient-2.3.4-1.el6ost.noarch

Comment 5 John Schwarz 2014-08-25 11:45:31 UTC
This bug is caused by an inappropriate version of python-httplib2 version (>=0.7.5 is needed but not enforced by neutronclient's RPM spec).

I reproduced this error for python-httplib2 0.7.2 and traced it back to a duplication of port-create request. After upgrading python-httplib2 to version 0.7.7, the problem did not reproduce for 160 VMs.

*** This bug has been marked as a duplicate of bug 1133511 ***

Comment 6 John Schwarz 2014-08-31 10:32:35 UTC
Please check this again, but this time make sure (manually) that python-httplib2's version is >=0.7.5.

Comment 7 Roey Dekel 2014-09-02 08:07:31 UTC
pls add "Fixed In Version", to check if fix merged to puddle.

Comment 8 John Schwarz 2014-09-02 08:10:08 UTC
Done

Comment 12 errata-xmlrpc 2014-09-30 17:14:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1339.html


Note You need to log in before you can comment on or make changes to this bug.